package com.rjconsultores.ventaboletos.service.impl;

import java.util.Calendar;
import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.rjconsultores.ventaboletos.dao.RegionMetropolitanaDAO;
import com.rjconsultores.ventaboletos.entidad.RegionMetropolitana;
import com.rjconsultores.ventaboletos.service.RegionMetropolitanaService;
import com.rjconsultores.ventaboletos.utilerias.UsuarioLogado;

@Service("regionMetropolitanaService")
public class RegionMetropolitanaServiceImpl implements RegionMetropolitanaService {

	@Autowired
	private RegionMetropolitanaDAO regionMetropolitanaDAO;

	@Override
	public List<RegionMetropolitana> obtenerTodos() {
		return regionMetropolitanaDAO.obtenerTodos();
	}

	@Override
	public RegionMetropolitana obtenerID(Long id) {
		return regionMetropolitanaDAO.obtenerID(id);
	}

	@Transactional
	public RegionMetropolitana suscribir(RegionMetropolitana entidad) {
		entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
		entidad.setFecmodif(Calendar.getInstance().getTime());
		entidad.setActivo(Boolean.TRUE);

		return regionMetropolitanaDAO.suscribir(entidad);
	}

	@Transactional
	public RegionMetropolitana actualizacion(RegionMetropolitana entidad) {
		entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
		entidad.setFecmodif(Calendar.getInstance().getTime());
		entidad.setActivo(Boolean.TRUE);

		return regionMetropolitanaDAO.actualizacion(entidad);
	}

	@Transactional
	public void borrar(RegionMetropolitana entidad) {
		entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
		entidad.setFecmodif(Calendar.getInstance().getTime());
		entidad.setActivo(Boolean.FALSE);

		regionMetropolitanaDAO.actualizacion(entidad);
	}
}
